<div *ngIf="!isLoading">
    <div class="head">
        <div><img *ngIf="!genreInFavourites" style="height: 50px; width: 50px;" src="../../../assets/icons/icons8-add-100.png" (click)="addGenreToFavourites()" [ngbTooltip]="addTooltip" placement="right" />
            <img *ngIf="genreInFavourites" style="height: 50px; width: 50px;" src="../../../assets/icons/icons8-delete-100.png" (click)="removeGenreFromFavourites()" [ngbTooltip]="removeTooltip" placement="right" />
        </div>

        <h1> {{ genre.name}} </h1>
        <ng-template #addTooltip>
            <p style="font-family: Lady; font-size: 15px"> Add genre to favourites </p>
        </ng-template>
        <ng-template #removeTooltip>
            <p style="font-family: Lady; font-size: 15px"> Remove genre from favourites </p>
        </ng-template>
    </div>
    <div class="genre-info">
        <p>
            {{ genre.description }}
        </p>

        <h4 style="color: #f2fa86">
            Books:
        </h4>
    </div>
    <div *ngIf="books" class="row" style="margin-top: -30px;">
        <div *ngFor="let book of books">
            <app-books-list-image-item [book]="book">

            </app-books-list-image-item>
        </div>
    </div>
</div>
